Get run state
curl --request GET \
--url https://api.acornops.dev/api/v1/runs/{runId} \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetType": "kubernetes",
"status": "<string>",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toolAccessMode": "read_only",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"error": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Sessions and runs
Get run state
Browser sessions receive the normal run detail. Linked external integrations receive a bounded projection; only the exact originating link and client receive the final assistant output and related usage metadata.
Get run state
curl --request GET \
--url https://api.acornops.dev/api/v1/runs/{runId} \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/runs/{runId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetType": "kubernetes",
"status": "<string>",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toolAccessMode": "read_only",
"createdAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"cancelledAt": "2023-11-07T05:31:56Z",
"error": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
userSessionexternalIntegrationClientToken
Headers
Required only for linked external integration requests. Must identify the linked external user.
Required string length:
1 - 128Path Parameters
Example:
"5e709a9c-2481-4baa-aec2-ca193c50167d"
Response
Run details.
Available options:
kubernetes, virtual_machine Available options:
read_only, read_write